package net.vtstar.zhongtong.avi.demo.service;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import net.vtstar.user.mybatis.provider.Operation;
import net.vtstar.user.mybatis.provider.WhereFilter;
import net.vtstar.user.search.service.SearchService;
import net.vtstar.zhongtong.avi.demo.domain.Demo;
import net.vtstar.zhongtong.avi.demo.mapper.DemoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DemoService {

    @Autowired
    private DemoMapper demoMapper;
    @Autowired
    private SearchService searchService;

    /**
     * 分页查询
     */
    public List<Demo> pageList(JSONObject pageFilter) {
        PageHelper.startPage(pageFilter.getIntValue("pageNum"), pageFilter.getIntValue("pageSize"));
        return demoMapper.findList(searchService.pageFilter2Filter(pageFilter, new WhereFilter() {{
            // 查询所有状态的数据，否则默认查询状态为1的数据
            addFilter(Demo.class, "status", Operation.NOT_EQUAL, "");
        }}), Demo.class);
    }
}
