package net.vtstar.zhongtong.avi.equipment.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import net.vtstar.utils.domain.Return;
import net.vtstar.zhongtong.avi.equipment.service.EquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(description = "设备模块")
@RequestMapping("/api/equipment")
@RestController
public class EquipmentController {

    @Autowired
    private EquipmentService equipmentService;

    @ApiOperation(value = "获取设备实时监控数据")
    @GetMapping(value = "/realTime/data")
    private Return getRealTimeData(@RequestParam("ShopCode") String ShopCode,@RequestParam("equipType") String equipType){
        Object realTimeData = equipmentService.findRealTimeData();
        return Return.success(realTimeData);
    }
}
