package net.vtstar.zhongtong.avi.global.web.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import net.vtstar.utils.domain.Return;
import net.vtstar.zhongtong.avi.global.web.service.ShowFieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(description = "获得展示字段")
@RequestMapping("/api/field")
@RestController
public class ShowFieldController {

    @Autowired
    private ShowFieldService showFieldService;

    @ApiOperation(value = "根据searchCode获得此模块需要展示字段")
    @GetMapping("/showField")
    private Return findShowFieldBySearchCode(@RequestParam("searchCode") String searchCode) {
        return Return.success(showFieldService.findShowFieldBySearchCode(searchCode));
    }
}
