package net.vtstar.zhongtong.avi.stamping.job;

import lombok.extern.slf4j.Slf4j;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.scada.base.gather.job.GatherJob;
import net.vtstar.zhongtong.avi.stamping.domain.LaserCuttingMachine;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.stereotype.Component;

/**
 * 激光切割机数据采集JOB
 */
@Slf4j
@Component
@DisallowConcurrentExecution
public class LaserCuttingMachineJob extends GatherJob {

    private static final String NAME = "LASER";

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {

        log.info("JobName: {}", context.getJobDetail().getKey().getName());
        super.gatherByModbus(NAME, LaserCuttingMachine.class);
    }

    protected boolean handleObject(EquipmentData equipmentData) {
        LaserCuttingMachine data = (LaserCuttingMachine) equipmentData;
        return false;
    }
}
